/* Experiment med array */
// --------------------------------------------------
// Globala variabler och konstanter
const countries = ["Sverige", "Norge", "Danmark", "Tyskland", "England", "Polen", "Frankrike", "Spanien" ]; // Array med några europeiska länder
let resElem;    // Element för utskrift av resultat
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    resElem = document.querySelector("#result");
	document.querySelector("#test1Btn").addEventListener("click", test1);
    document.querySelector("#test2Btn").addEventListener("click", test2);
    document.querySelector("#test3Btn").addEventListener("click", test3);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Test med arrayer
function test1() {
    // Test av att ta fram värden ur arrayen
	console.log( countries[3] );
    
    let r = Math.floor(countries.length * Math.random());
    console.log( countries[r] );

    // Test av att skriva ut arrayen i en lista
    let htmlCode = "<ul>";
    for (let i = 0; i < countries.length; i++) {
        htmlCode += "<li>" + countries[i] + "</li>";
    }
    htmlCode += "</ul>";
    resElem.innerHTML = htmlCode;

    // Test med en lista av tärningsvärden
    let diceValues = [];
    for (let i = 0; i < 5; i++) {
        let value = Math.floor(6 * Math.random()) + 1;
        diceValues.push(value);
    }
    console.log( diceValues.join(" - ") );
} // Slut test1
// --------------------------------------------------
// Test med funktionerna slice och splice
function test2() {
	const pizza = ["A", "B", "C", "D", "E", "F", "G", "H"];

    // Test av slice
    let mySlices = pizza.slice(2, 5);
    console.log(mySlices, pizza);

    let pizzaCopy = pizza.slice(0);
    console.log(pizzaCopy, pizza);

    // Test av splice
    mySlices = pizza.splice(2, 3);
    console.log(mySlices, pizza);
} // Slut test2
// --------------------------------------------------
// Test med kopia av array
function test3() {
	//let countriesCopy = countries;
    let countriesCopy = countries.slice(0);

    countriesCopy[4] = "Storbritannien";
    console.log(countriesCopy, countries);
} // Slut test3
// --------------------------------------------------
